Groovy Documentation

## org.codehaus.groovy.tools
[Java] Class Utilities

    java.lang.Object
      org.codehaus.groovy.tools.Utilities

    public abstract class Utilities
    extends java.lang.Object

Various utility functions for use in the compiler.

Method Summary
`static java.lang.String` | `eol()` Returns the end-of-line marker.
`static boolean` | `isJavaIdentifier(java.lang.String name)` Tells if the given string is a valid Java identifier.
`static java.lang.String` | `repeatString(java.lang.String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### eol

    public static java.lang.String eol()

  Returns the end-of-line marker.

### isJavaIdentifier

    public static boolean isJavaIdentifier(java.lang.String name)

  Tells if the given string is a valid Java identifier.

### repeatString

    public static java.lang.String repeatString(java.lang.String pattern, int repeats)

  Returns a string made up of repetitions of the specified string.

Groovy Documentation